> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Count contact methods matching filter



## OpenAPI

````yaml /openapi/contact-methods.json post /contact-methods/count
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /contact-methods/count:
    post:
      tags:
        - Contact Methods
      summary: Count contact methods matching filter
      operationId: contactMethods.count
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    id:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: ID
                    clientId:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: Client ID
                    type:
                      anyOf:
                        - enum:
                            - email
                            - phone
                            - mobile
                            - fax
                            - other
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - email
                                - phone
                                - mobile
                                - fax
                                - other
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - email
                                  - phone
                                  - mobile
                                  - fax
                                  - other
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - email
                                  - phone
                                  - mobile
                                  - fax
                                  - other
                                type: string
                      description: Type
                    value:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Value
                    isPrimary:
                      type: boolean
                      description: Is Primary
                    externalId:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: External ID
                    createdAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Created At
                    updatedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Updated At
                    metadataFilters:
                      type: array
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                          value:
                            type: string
                        required:
                          - key
                          - value
                      description: Metadata Filters
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                required:
                  - count
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````